var areaOneVal = helper.cookies.get("areaOneVal");
var areaOneText = helper.cookies.get("areaOneText");
if (areaOneVal) {
	var areaOneVal = helper.cookies.get("areaOneVal");
	
} else{
	var areaOneVal="sqs12345"
	
}
$(function() {
	laydate.render({
		elem: '#phone_time',
		range: '~',
		theme: '#114a97',
		done: function(value, date) {
			var areaOneVal=$(".areaOne").val();
			partTwo(value && value.split(' ~ ')[0], value && value.split(' ~ ')[1],areaOneVal);
		}
	});
	laydate.render({
		elem: '#tody_time',
		theme: '#114a97',
		done: function(value, date) {
			var areaOneVal=$(".areaOne").val();
			partThree(value,areaOneVal);
		}
	});
	Ajax();
	$(".areaOne").change(function() {
      	var areaOneVal=$(this).val();
  		var areaOneText=$(".areaOne").find("option:selected").text();
  		helper.cookies.set("areaOneVal", areaOneVal, 7);
  		helper.cookies.set("areaOneText", areaOneText, 7);
      	partOne(areaOneVal);
		partTwo($('#phone_time').val() && $('#phone_time').val().split(' ~ ')[0], $('#phone_time').val() && $('phone_time').val().split(' ~ ')[1],areaOneVal);
		partThree($('#tody_time').val(), areaOneVal);
	});
	$(".depart").change(function() {
		var areaOneVal = helper.cookies.get("areaOneVal");
		partTwo($('#phone_time').val() && $('#phone_time').val().split(' ~ ')[0], $('#phone_time').val() && $('#phone_time').val().split(' ~ ')[1],areaOneVal);
	})
	deprtment ();
	//部门下拉框
	function deprtment () {
		$.getJSON( huayi.config.callcenter_url +"info/GetDeptList", function(result) {
			if(result.state.toLowerCase() == "success") {
				goodslist = result.data;
				$(".depart").empty();
				$('<option value="">请选择部门</option>').appendTo($(".depart"));
				$(goodslist).each(function(i, n) {
					$('<option value="' + n.F_DeptId 
					+ '">' + n.F_DeptName 
					+ '</option>').appendTo($(".depart"));
				})
			}
		});
	}
})
//区县筛选
deprtment ();
function deprtment () {
	$.getJSON( huayi.config.callcenter_url +"CountyBranch/GetBranchListS", function(result) {
		if(result.state.toLowerCase() == "success") {
			goodslist = result.data;
//			第五屏
			$(".areaOne").empty();
			$(goodslist).each(function(i, n) {
				$('<option value="' + n.F_Code 
				+ '">' + n.F_Name 
				+ '</option>').appendTo($(".areaOne"));
			});
			if (areaOneVal) {
				$(".areaOne").val(areaOneVal);
			}
		}
	});
}

//part 1 //工单状态统计  对接完毕
var phoneTimeCount = echarts.init(document.getElementById('phoneTimeCount'));
phoneTimeCount.setOption({
	color: ['#69e1a9', '#6a91e0', '#ceba5f', '#f06e84', '#569d4e', '#7d55ba', '#ce5aba', '#345cdd', '#569d4e'],
	tooltip: {
		trigger: 'axis',
		axisPointer: {
			type: 'cross',
			label: {
				show: true,
				backgroundColor: '#333'
			}
		}
	},
	grid: {
		left: '2%',
		right: '5%',
		bottom: '6%',
		containLabel: true
	},
	legend: {
		top: 'top',
		left: '180px',
		data: [],
		textStyle: {
			color: '#00e9ff'
		}
	},
	xAxis: {
		name: '月份',
		data: [],
		axisLine: {
			lineStyle: {
				color: '#3061a2'
			}
		},
		axisTick: {
			alignWithLabel: true,
			show: false
		},
		axisLabel: { //横轴字体颜色
			show: true,
			textStyle: {
				color: '#eff0f4'
			}
		}
	},
	yAxis: {
		name: '（数量）',
		splitLine: {
			show: false
		},
		axisLine: {
			lineStyle: {
				color: '#3061a2'
			}
		},
		axisLabel: { //横轴字体颜色
			show: true,
			textStyle: {
				color: '#eff0f4'
			}
		}
	},
	series: []
});

function partOne(areaOneVal) {
	//		var index = layer.load(1, {
	//			shade: [0.5, '#030303'] //0.1透明度的白色背景
	//		});
	$.ajax({
		type: "get",
		url: huayi.config.callcenter_url + "info/GetStateCountMonthByDate",
		async: true,
		data:{
			branchcode:areaOneVal
		},
		dataType: 'json',
		success: function(data) {
			if(data.state.toLowerCase() == 'success') {
				//	layer.close(index);
				var con = data.data;
				//						var jieDans = result.data.a;
				var counts = con.counts;
				var sers = [];
				$(counts).each(function(i, n) {
					var obj = {};
					obj.name = con.cols[i];
					obj.type = "line";
					obj.smooth = true;
					obj.showAllSymbol = true;
					obj.symbol = "emptyCircle";
					obj.symbolSize = 10;
					obj.data = n;
					sers.push(obj)
				});
				phoneTimeCount.setOption({
					xAxis: {
						data: con.months
					},
					legend: {
						data: con.cols
					},
					series: sers
				});
			}
		}
	});
}

//part 2 //各部门工单情况
function partTwo(starts, ends, areaOneVal) {
	$.ajax({
		type: "get",
		url: huayi.config.callcenter_url + "Info/GetDeptCountByDateNew",
		dataType: 'json',
		async: true,
		data: {
			start: starts,
			end: ends,
			deptid: $('.depart').val(),
			branchcode:areaOneVal
		},
		success: function(data) {
			if(data.state.toLowerCase() == 'success') {
				$('.thead tr').html('');
				$('#scroll_table tbody').html('');
				var con = data.data;
				var thead = con[0];
				$.each(thead, function(k, val) {
					$('<td>' + k + '</td>').appendTo('.thead tr');
				})
				$(con).each(function(j, n) {
					var str = '<tr>'
					$.each(thead, function(j, m) {
						$.each(n, function(k, val) {
							if(j == k) {
								if(val == '') {
									val = 0;
								}
								str += '<td>' + val + '</td>'
							}
						})
					})
					str += '</tr>';

					$('#scroll_table tbody').append(str);
				})

			}
		}
	});
}

// part3 工单处理时间分布
var sitProportion = echarts.init(document.getElementById('sitProportion')); //坐席闲忙比例
sitProportion.setOption({
	color: ['#4ab7c7', '#2484d9', '#2e39c1'],
	tooltip: {
		trigger: 'axis',
		axisPointer: {
			type: 'shadow',
			label: {
				show: true,
				backgroundColor: '#333'
			}
		},
		formatter: function(datas) {
			var res = datas[0].name + '<br/>',
				val;
			for(var i = 0, length = datas.length; i < length; i++) {
				//							val = (datas[i].value) + '%';
				val = (datas[i].value);
				res += datas[i].seriesName + '：' + val + '<br/>';
			}
			return res;
		}
	},
	legend: {
		top: 'top',
		left: '165px',
		data: ['受理工单数', '处理工单数'],
		textStyle: {
			color: '#00e9ff'
		}
	},
	grid: {
		left: '2%',
		right: '5%',
		bottom: '5%',
		containLabel: true
	},
	xAxis: {
		name: '时',
		data: [],
		axisLine: {
			lineStyle: {
				color: '#3061a2'
			}
		},
		axisTick: {
			alignWithLabel: true,
			show: false
		},
		axisLabel: { //横轴字体颜色
			show: true,
			textStyle: {
				color: '#eff0f4'
			}
		}

	},
	yAxis: {
		name: '(数量)',
		splitLine: {
			show: false
		},
		axisLine: {
			lineStyle: {
				color: '#3061a2'
			}
		},
		axisLabel: { //横轴字体颜色
			show: true,
			textStyle: {
				color: '#eff0f4'
			}
		}
	},
	series: [{
		name: '受理工单数',
		type: 'bar',
		barGap: 0,
		data: []
	}, {
		name: '处理工单数',
		type: 'bar',
		data: []
	}]

});

function partThree(dates,areaOneVal) {
	$.ajax({
		type: "get",
		url: huayi.config.callcenter_url + "info/GetDealCount24ByDate",
		dataType: 'json',
		async: true,
		data: {
			date: dates,
			branchcode:areaOneVal
		},
		success: function(data) {
			if(data.state.toLowerCase() == 'success') {
				var con = data.data;
				sitProportion.setOption({
					xAxis: {
						data: con.hours
					},
					series: [{
						data: con.acounts
					}, {
						data: con.fcounts
					}]
				});
			}
		}
	});
}
//表格滚动
var area = document.getElementById('scroll_table');
var iliHeight = 34; //单行滚动的高度  
var speed = 20; //滚动的速度  
var time;
var delay = 1000;
area.scrollTop = 0;
area.innerHTML += area.innerHTML; //克隆一份一样的内容  
function startScroll() {
	time = setInterval("scrollUp()", speed);
	area.scrollTop++;
	console.log(area.scrollTop);
}

function scrollUp() {
	if(area.scrollTop % iliHeight == 0) {
		clearInterval(time);
		setTimeout(startScroll, delay);
	} else {
		area.scrollTop++;
		if(area.scrollTop >= area.scrollHeight / 2) {
			area.scrollTop = 0;
		}
	}
}
setTimeout(startScroll, delay)

function Ajax() {
	var areaOneVal = helper.cookies.get("areaOneVal");
	var areaOneText = helper.cookies.get("areaOneText");
	partOne(areaOneVal)
	partTwo($('#phone_time').val() && $('#phone_time').val().split(' ~ ')[0], $('#phone_time').val() && $('#phone_time').val().split(' ~ ')[1],areaOneVal);
	partThree($('#tody_time').val(),areaOneVal);
}